<template>
  <div class="bg-white p-4 rounded md:rounded-lg shadow-1">
    <div class="flex items-center mb-3">
      <svg-icon name="sponsor" style="width: 16px;height: 16px"></svg-icon>
      <span class="pl-1 font-normal leading-relaxed text-gray text-sm">
        Tài trợ
      </span>
      <a
        v-if="showlink"
        class="sponsor-external relative flex items-center leading-160 text-dark-cyan pl-3 ml-3"
        :href="sponsor_link"
        target="_blank"
      >
        <span>{{ sponsor_name }}</span>
        <svg-icon name="icon-external" class="w-3 h-3 ml-6px"></svg-icon>
      </a>
    </div>
    <div class="flickity-list-product">
      <flickity ref="flickity" :options="flickityOptions">
        <div class="carousel-cell space-y-3">
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                    <span class="price-old ml-3">59.990.000 ₫</span>
                  </div>
                </div>
              </div>
            </a>
          </div>
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                  </div>
                </div>
              </div>
            </a>
          </div>
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                  </div>
                </div>
              </div>
            </a>
          </div>
        </div>
        <div class="carousel-cell space-y-3">
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                    <span class="price-old ml-3">59.990.000 ₫</span>
                  </div>
                </div>
              </div>
            </a>
          </div>
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                  </div>
                </div>
              </div>
            </a>
          </div>
          <div>
            <a href="#">
              <div class="flex space-x-4">
                <div class="p-1 border border-gray-light rounded">
                  <img src="/sponsor-pd.png" alt="product" data-not-lazy />
                </div>
                <div class="flex-1 text-base leading-160">
                  <div class="text-dark font-medium">
                    Razer Blade 15
                  </div>
                  <div class="leading-160">
                    <span class="text-blue-secondary font-medium">
                      <b>Từ 49.990.000</b>
                      ₫
                    </span>
                  </div>
                </div>
              </div>
            </a>
          </div>
        </div>
        <div class="carousel-cell">
          <div class="rounded-lg bg-body p-6">
            <div class="font-bold leading-160 text-gray-dark mb-2">
              ThinkPro - Hệ thống bán lẻ máy tính nhập khẩu giá rẻ toàn quốc
            </div>
            <div class="text-gray">
              Hệ thống bán lẻ máy tính nhập khẩu chính hãng giá rẻ toàn quốc.
              Business, Đồ họa - Mobile Workstation, Gaming | Hotline:
              09.1234.3773.
            </div>
          </div>
        </div>
      </flickity>
    </div>
    <div class="flex space-x-3 my-4">
      <div
        class="w-1/2 py-2 text-center rounded-lg border border-gray-100 bg-body cursor-pointer"
        @click="previous()"
      >
        <svg-icon
          name="chevron-left"
          class="w-6 h-6 inline-block align-middle"
        ></svg-icon>
      </div>
      <div
        class="w-1/2 py-2 text-center rounded-lg border border-gray-100 bg-body cursor-pointer"
        @click="next()"
      >
        <svg-icon
          name="chevron-right"
          class="w-6 h-6 inline-block align-middle"
        ></svg-icon>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SponsporProductListing',
  props: {
    showlink: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      sponsor_name: 'thinkpro.com',
      sponsor_link: 'https://thinkpro.com',
      flickityOptions: {
        cellAlign: 'left',
        initialIndex: 1,
        prevNextButtons: false,
        pageDots: true,
        wrapAround: false,
        freeScroll: false,
        contain: true
      }
    }
  },
  methods: {
    next() {
      this.$refs.flickity.next()
    },
    previous() {
      this.$refs.flickity.previous()
    }
  }
}
</script>

<style lang="scss">
.sponsor-external {
  &:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 18px;
    background: #dee1e9;
    top: 50%;
    margin-top: -9px;
    left: 0;
  }
}
.flickity-list-product {
  margin-right: -16px;
  margin-left: -16px;
  .carousel-cell {
    width: 90%;
    padding-left: 16px;
    &:last-child {
      padding-right: 16px;
      width: 100%;
    }
  }
  .flickity-page-dots {
    position: absolute;
    bottom: -74px;
    left: 0;
    padding: 0 16px;
    display: flex;
    .dot {
      border-radius: 0;
      margin: 0;
      height: 1px;
      width: 33%;
    }
  }
}
</style>
